package de.fraunhofer.iem.kpiCalculator.adapter

import de.fraunhofer.iem.kpiCalculator.model.kpi.KpiKind
import de.fraunhofer.iem.kpiCalculator.model.kpi.RawValueKpiCreateDto


interface KpiAdapter<T> {
    val kpiKind: KpiKind

    fun transformDataToKpi(data: List<T>): List<RawValueKpiCreateDto>
    fun transformDataToKpi(data: T): List<RawValueKpiCreateDto> = transformDataToKpi(listOf(data))
}
